#ifndef PIESIMAS_HPP
#define PIESIMAS_HPP
#include <GL/gl.h>
#include <GL/glu.h>
#include <math.h>


class KPiesimas{
	public:
	GLfloat pas;
	int x, y;	//Lango dydis
	int ox, oy;	//Ortografines projekcijos dydis
	int faze;	//Piesimo faze
	int frakt;	//Piesiamo fraktalo numeris
	//Fraktalo parametrai
	float	pozX, pozY;	//Pozicija
	float	kampas;		//Fraktalo pasisukimo kampas
	int		gylis;		//Fraktalo gylis
	float	dydis;		//Fraktalo dydis
	float	koef;		//Trumpejimo koeficientas
	float	kampas1;	//Kampas nr. 1
	float	spalva[3];	//Fraktalo spalva
	float	spalva2[3];
	bool	did;
	
	KPiesimas();
	~KPiesimas();
	void Init();	//Inicializuoti piesima
	void Atnaujinti();
	void Piesti();
	
	//Fraktalu piesimas
	void FR1(int dGylis, float dDydis);
	void FR2(int dGylis, float dDydis);
	void FR3(int dGylis, float dDydis);
	void FR3Zole();
	void FR4(int dGylis, float dDydis);
} piesti;


#include "Piesimas.cpp"
#endif
