/***********************************************************
	Geometriniai objektai

	 2007 A-E Software 
	Arvydas Burdulis
	http://ae.gamedev.lt  aab@auto.lt


	Piesiami geometriniai objektai, tokie kaip plokstuma,
	apskritimas, cilindras. Yra wire/solid versijos.

	Pradeta:
	    2007-12-02
	Paskutini karta redaguota:
	    2007-12-10
************************************************************/


#ifndef GEOM_OBJ_HPP
#define GEOM_OBJ_HPP


void GeomPlokst(GLfloat plotis);
void GeomPlokst(GLfloat plotis, GLfloat aukstis);
void GeomPlokstWire(GLfloat plotis);
void GeomApskritimas(GLfloat dydis, int kokybe);
void GeomSkritulys(GLfloat dydis, int kokybe);
void GeomZiedas2D(GLfloat dydis1, GLfloat dydis2, int kokybe);
void GeomKoord(GLfloat dydis, int tarpu);


#include "geom_obj.cpp"
#endif
