/***********************************************************
	Tekstas

	 2007 A-E Software 
	Arvydas Burdulis
	http://ae.gamedev.lt  aab@auto.lt


	Teksto piesimas. Palaikomi lietuviski simboliai.

	Pradeta:
	    2007-06-?
	Paskutini karta redaguota:
	    2007-12-10
************************************************************/


#ifndef TEKSTAS_HPP
#define TEKSTAS_HPP
#define EIL_SK 32
#define EIL_ILG 32


class KTekstas{
    public:
	int		eilSk;
	char	eil[EIL_SK][EIL_ILG];
	GLuint	fontDispList;	//Display listai tekstui
	bool	sukurtas,		//Ar jau sukurtas tekstas?
			uzkrautas;		//Ar jau uzkrautas tekstas?
	
	KTekstas();
	~KTekstas();
	bool Sukurti();
	//void Uzkrauti(const char*);
	void Piesti(const char* eil);
	void PiestiNeform(const char *fmt, ...);
	void Naikinti();
} tekstas;

/*
class KTekstF{
	public:
	int		eilSk;
	char	*eil[EIL_SK];
	bool	uzkrautas;
	
	KTekstF();
	~KTekstF();
	void Uzkrauti(const char*);
	void Piesti(GLfloat x, GLfloat y);
	void Naikinti();
};*/


#include "tekstas.cpp"
#endif
